Bug 1285281 - CTDB: yum update fails on RHEL6 for ctdb package with dependency on procps-ng and systemd-units
CTDB: yum update fails on RHEL6 for ctdb package with dependency on procps-ng...
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: RHGS 3.1.2
Assigned To: Jose A. Rivera
: ZStream
Depends On:
Blocks: 1260783 1285306
  Show dependency treegraph
Reported: 2015-11-25 05:57 EST by surabhi
Modified: 2016-03-01 00:57 EST (History)
6 users (show)

See Also:
Fixed In Version: samba-4.2.4-8.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-01 00:57:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description surabhi 2015-11-25 05:57:09 EST
Description of problem:

--> Finished Dependency Resolution
Error: Package: ctdb-4.2.4-7.el6rhs.x86_64 (External-RH-Gluster-3-Server-Repository-3)
           Requires: procps-ng
Error: Package: ctdb-4.2.4-7.el6rhs.x86_64 (External-RH-Gluster-3-Server-Repository-3)
           Requires: systemd-units
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

On RHEL-6 :
yum list procps*
Loaded plugins: aliases, changelog, product-id, security, subscription-manager,
              : tmprepo, verify, versionlock
Installed Packages
procps.x86_64          3.2.8-34.el6_7     @rhel-6-server-rpms      

but ctdb needs procps-ng so it fails to update.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Yum update from 3.1.1 to 3.1.2 on RHEL6

Actual results:
Yum update fails with dependency errors for CTDB.

Expected results:
Yum update should succeed.

Additional info:
Comment 2 Michael Adam 2015-11-25 08:59:43 EST
These are the the requirements for ctdb from the spec:

Requires: coreutils
Requires: fileutils
# for ps and killall
Requires: psmisc
Requires: sed
Requires: tdb-tools
Requires: gawk
# for pkill and pidof:
Requires: procps-ng
# for netstat:
Requires: net-tools
Requires: ethtool
# for ip:
Requires: iproute
Requires: iptables
# for flock, getopt, kill:
Requires: util-linux

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

Changes for rhel6:

1) systemd-units not available on RHEL6
   --> need s/th else?

2) in RHEL6:
   - pkill in procps
   - pidof in sysvinit-tools
   - flock, getopt and kill: in util-linux-ng
Comment 3 Jose A. Rivera 2015-11-27 08:39:57 EST
New build is up with the appropriate changes:

Comment 4 surabhi 2015-11-30 07:12:31 EST
The update of ctdb packages is successfull with the new build.
verified with the following steps.

Yum update from 3.1.1 to latest puddle for RHEL6.

The ctdb update happens successfully without any dependency issues.

Build info:
Comment 6 errata-xmlrpc 2016-03-01 00:57:56 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.